/**
 * Copyright 2010-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.auditreport.api;

/**
 * Defines some constants.
 * @author Florent Benoit
 */
public interface AuditorJMXObjectNames {

    /**
     * JMX Name of the EasyBeans auditor component.
     */
    String BASE_AUDIT_COMPONENT = ":type=Auditors";

    /**
     * JMX root Name of the Web auditor component.
     */
    String WEBAUDITOR_TYPE_COMPONENT = BASE_AUDIT_COMPONENT + ",auditorType=web";

    /**
     * JMX root Name of the EJB auditor component.
     */
    String EJBAUDITOR_TYPE_COMPONENT = BASE_AUDIT_COMPONENT + ",auditorType=ejb";

    /**
     * JMX root Name of the JNDI auditor component.
     */
    String JNDIAUDITOR_TYPE_COMPONENT = BASE_AUDIT_COMPONENT + ",auditorType=jndi";

    /**
     * JMX root Name of the Logger auditor component.
     */
    String LOGGERAUDITOR_TYPE_COMPONENT = BASE_AUDIT_COMPONENT + ",auditorType=logger";

}
