/**
 * Copyright 2010-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.auditreport.api;

import java.io.Serializable;

/**
 * Defines the interface for all audit report.
 * @author Florent Benoit
 */
public interface IAuditReport extends Serializable {

    /**
     * Zero value.
     */
    int ZERO = 0;

    /**
     * The value of a Ko.
     */
    double KB = 1024.0;

    /**
     * An empty string.
     */
    String EMPTY_STRING = "";

    /**
     * Value of a nanosecond.
     */
    double NS = 1000000.0;

    /**
     * @return the requestTimeStamp
     */
    long getRequestTimeStamp();

    /**
     * @param requestTimeStamp the requestTimeStamp to set
     */
    void setRequestTimeStamp(final long requestTimeStamp);

    /**
     * @return the current object as a String.
     */
    String toString();
}
