/**
 * Copyright 2010-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.auditreport.impl;

import org.ow2.util.auditreport.api.IAuditReport;
import org.ow2.util.auditreport.impl.util.ObjectEncoder;

/**
 * The basic audit report class.
 * @author Mathieu ANCELIN
 */
public class BasicAuditReport implements IAuditReport {

    /**
     * Serial version UID.
     */
    private static final long serialVersionUID = 7931059292221813392L;

    /**
     * The timestamp of the audited request.
     */
    private long requestTimeStamp = 0;

    /**
     * The default constructor.
     */
    public BasicAuditReport() {
    }

    /**
     * @return the requestTimeStamp
     */
    public final long getRequestTimeStamp() {
        return requestTimeStamp;
    }

    /**
     * @param requestTimeStamp the requestTimeStamp to set
     */
    public final void setRequestTimeStamp(final long requestTimeStamp) {
        this.requestTimeStamp = requestTimeStamp;
    }

    /**
     * Overrides the toString() method by using the objectEncode.
     * @return a stringified representation of this object.
     */
    @Override
    public String toString() {
        return ObjectEncoder.encode(this);
    }
}
