/**
 * Copyright 2010-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.auditreport.impl;

import java.util.Set;

/**
 * A {@code JaxwsAuditReport} is a report generated from
 * an endpoint invocation (server-side).
 *
 * @author Guillaume Sauthier
 */
public class JaxwsAuditReport extends GenericAuditReport {

    private String serviceQName;
    private String portQName;
    private String operationQName;
    private Set<String> soapRoles;
    private long startProcessingTimestamp;
    private long endProcessingTimestamp;

    public Set<String> getSoapRoles() {
        return soapRoles;
    }

    public void setSoapRoles(Set<String> roles) {
        this.soapRoles = roles;
    }

    public String getServiceQName() {
        return serviceQName;
    }

    public void setServiceQName(String service) {
        this.serviceQName = service;
    }

    public String getPortQName() {
        return portQName;
    }

    public void setPortQName(String port) {
        this.portQName = port;
    }

    public String getOperationQName() {
        return operationQName;
    }

    public void setOperationQName(String operation) {
        this.operationQName = operation;
    }

    public void setEndProcessingTimestamp(long endProcessingTimestamp) {
        this.endProcessingTimestamp = endProcessingTimestamp;
    }

    public long getEndProcessingTimestamp() {
        return endProcessingTimestamp;
    }

    public void setStartProcessingTimestamp(long startProcessingTimestamp) {
        this.startProcessingTimestamp = startProcessingTimestamp;
    }

    public long getStartProcessingTimestamp() {
        return startProcessingTimestamp;
    }
}
