/**
 * Copyright 2010-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.auditreport.impl.event;

import org.ow2.util.auditreport.impl.GenericAuditReport;
import org.ow2.util.event.api.IEvent;
import org.ow2.util.event.api.IEventListener;

/**
 * Event contains audit report and dispatched by eventService on dispatcher(s)
 */
public class Event implements IEvent {
    /**
     * audit report
     */
    GenericAuditReport report;

    /**
     * Constructor
     */
    public Event(final GenericAuditReport report) {
        this.report = report;
    }

    /**
     * this method check if a listener can receive this event
     */
    public boolean checkPermission(IEventListener eventListener) {
        if (eventListener != null)
            return true;
        return false;
    }

    /**
     * getter of report
     */
    public GenericAuditReport getReport() {
        return report;
    }

}
